Name:		dsbl-testers
Summary:	Insecure relay/proxy/formmail test programs for use with DSBL
Version:	0.9.5
Release:	5
License:	GPL
Group:		Applications/Internet
URL:		http://firestuff.org/
Source0:	http://firestuff.org/projects/%{name}-%{version}.tar.gz
Patch0:		url-update.patch
Patch1:		relaytest-extra-test.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildPrereq:	firestring-devel, firedns-devel
Requires:	firestring, firedns

%description
This package contains testing software configured to work with
the DSBL (http://dsbl.org/) or DSBL-compliant services.  It
enables you to send tests to servers based on spam that you
receive.  If those tests succeed, the results will reach the
DSBL host in question, and the server will be listed.

%prep
%setup -q -n %{name}
%patch0
%patch1

%build
PREFIX=%{_prefix} MANDIR=%{_mandir} CONFDIR=/etc \
BINDIR=%{_bindir} SBINDIR=%{_sbindir} LIBDIR=%{_libdir} INCLUDEDIR=%{_includedir} ./configure
%{__sed} -i -e 's#\(copy\.sh [^ ]* \)\([^ ]* \)#\1'$RPM_BUILD_ROOT'\2#g' \
	    -e 's#\(strip \)\([^ ]*\)#\1'$RPM_BUILD_ROOT'\2#g' \
	    -e 's# \([$][(]CONFDIR[)]\)# '$RPM_BUILD_ROOT'\1#g' Makefile
%{__make}

%install
[ "$RPM_BUILD_ROOT" != "/" -a -n "$RPM_BUILD_ROOT" ] && %{__rm} -fr "$RPM_BUILD_ROOT"
%{makeinstall}

%clean
[ "$RPM_BUILD_ROOT" != "/" -a -n "$RPM_BUILD_ROOT" ] && %{__rm} -fr "$RPM_BUILD_ROOT"

%files 
%defattr(-,root,root)
%{_bindir}/formmailtest
%{_bindir}/httptest
%{_bindir}/relaytest
%{_bindir}/socks4test
%{_bindir}/socks5test
%{_bindir}/spamtrap
%{_bindir}/getcookie
%{_bindir}/auth-relaytest
%config (noreplace) /etc/dsbl.conf
%{_mandir}/man1/*
%{_mandir}/man5/*
%doc README GPL CREDITS contrib/authcheck

%changelog
* Thu Jan  6 2005 Paul Howarth <paul@city-fan.org> 0.9.5-5
- Update Spamhaus URLs for auth-relaytest references
- Simplify build process by use sed -i to do in-place Makefile
  substitutions

* Wed Aug 18 2004 Paul Howarth <paul@city-fan.org> 0.9.5-4
- %{_sysconfdir} replaced by /etc - actually more portable
- %{buildroot} replaced with $RPM_BUILD_ROOT as per Fedora
  packaging guidelines

* Thu Apr 29 2004 Paul Howarth <paul@city-fan.org> 0.9.5-3
- Patch to add additional tests to relaytest.c as suggested by mkolesar@broadnet.cz

* Wed Mar 10 2004 Paul Howarth <paul@city-fan.org> 0.9.5-2
- Patch to correct URL of MS article on anonymous NTLM authentication

* Thu Jan 08 2004 Paul Howarth <paul@city-fan.org> 0.9.5-1
- Update to 0.9.5

* Wed Jan 07 2004 Paul Howarth <paul@city-fan.org> 0.9.5-0.test3
- Update to 0.9.5-test3

* Tue Jan 06 2004 Paul Howarth <paul@city-fan.org> 0.9.4-4
- Added auth-relaytest and (in doc area) a sample script to try
  the same set of usernames/passwords as used by spammer Alan
  Ralsky when exploiting relays in 2002-2003
  (HMAC_MD5 code from http://www.dscinet.com/eZ80/OpenEZ/ project)
  (Ralsky exploits described at http://www.spamhaus.org/rokso/evidence.lasso?rokso_id=ROK2669)

* Mon Dec 22 2003 Paul Howarth <paul@city-fan.org> 0.9.4-3
- Added getcookie program and DSBL_COOKIE environment
  variable for batch testing
- Added -v (verbose) option to relaytest

* Wed Dec 17 2003 Paul Howarth <paul@city-fan.org> 0.9.4-2
- More macros
- Extra SMTP AUTH tests in relaytest
- Fix for relaytest when server drops connection

* Thu Nov 27 2003 Paul Howarth <paul@city-fan.org> 0.9.4-1
- Initial RPM build
